"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _utils = require("./utils");

var _twemoji = _interopRequireDefault(require("./twemoji.svg"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Emoji = ({
  emoji,
  className,
  ...props
}) => {
  className = className ? `emoji-picker-emoji ${className}` : `emoji-picker-emoji`;
  return /*#__PURE__*/_react.default.createElement("span", _extends({
    className: className,
    "data-unicode": emoji.unicode
  }, props), /*#__PURE__*/_react.default.createElement("img", {
    className: "emoji-picker-emoji-img",
    alt: (0, _utils.unifiedToNative)(emoji.unicode),
    src: `${_twemoji.default}#${emoji.unicode}`,
    draggable: "false",
    "aria-label": emoji.name
  }));
};

var _default = Emoji;
exports.default = _default;