"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _Emoji = _interopRequireDefault(require("../Emoji"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Footer = ({
  emoji,
  emojiPreviewName,
  ...props
}) => {
  return /*#__PURE__*/_react.default.createElement("div", _extends({
    className: "emoji-picker-footer"
  }, props), /*#__PURE__*/_react.default.createElement(_Emoji.default, {
    emoji: emoji || {
      name: "wave",
      unicode: "1f44b"
    }
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "emoji-picker-name"
  }, emoji ? emojiPreviewName(emoji) : /*#__PURE__*/_react.default.createElement("span", {
    style: {
      'fontSize': '1.25em'
    }
  }, "Emoji Picker")));
};

const MemoizedFooter = /*#__PURE__*/(0, _react.memo)(Footer);
var _default = MemoizedFooter;
exports.default = _default;